# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test66
# FileName:      conftest.py
# Author:       lao_zhao
# Datetime:     2025/5/8 10:22
# Description:
# 
# ---------------------------------------------------------------------------
# dependency
import pytest

from APIAutoTest_v3.request_method.request_method import RequestMethod


depend_dict = {}

@pytest.fixture(scope="session")
def req_fix():
    yield RequestMethod()


@pytest.fixture(scope="session")
def depend_data_fix():
    return depend_dict

# 了解
@pytest.fixture(scope="session")
def set_depend_data_fix():
    def set_value(key, value):
        # ...
        depend_dict[key] = value
        # ...
    yield set_value


@pytest.fixture(scope="session")
def get_depend_data_fix():
    def get_value(key):
        # ...
        value = depend_dict.get(key)
        # ...
        return value
    yield get_value
